## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
# * disable tests since /dev/kvm is unusable in containerized builds
%bcond check 0
%global debug_package %{nil}

%global crate kvm-ioctls

# compile and run tests only on supported architectures
%global supported_arches aarch64 riscv64 x86_64

Name:           rust-kvm-ioctls
Version:        0.20.0
Release:        %autorelease
Summary:        Safe wrappers over KVM ioctls

License:        Apache-2.0 OR MIT
URL:            https://crates.io/crates/kvm-ioctls
Source:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Safe wrappers over KVM ioctls.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%ifarch %{supported_arches}
%cargo_build
%endif

%install
%cargo_install

%if %{with check}
%ifarch %{supported_arches}
%check
%cargo_test
%endif
%endif

%changelog
## START: Generated by rpmautospec
* Wed Mar 05 2025 David Michael <fedora.dm0@gmail.com> - 0.20.0-1
- Update to version 0.20.0 (fedora#2338576)

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.19.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Dec 11 2024 David Michael <fedora.dm0@gmail.com> - 0.19.1-1
- Update to version 0.19.1 (fedora#2331380)

* Mon Nov 11 2024 Sergio Lopez <slp@redhat.com> - 0.19.0-1
- Update to version 0.19.0; Fixes RHBZ#2321256

* Wed Sep 18 2024 David Michael <fedora.dm0@gmail.com> - 0.18.0-1
- Update to version 0.18.0 (fedora#2276677)

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jun 03 2024 Sergio Lopez <slp@redhat.com> - 0.17.0-1
- Update to version 0.17.0; Fixes RHBZ#2276677

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jan 11 2024 Sergio Lopez <slp@redhat.com> - 0.16.0-1
- Update to version 0.16.0; Fixes RHBZ#2256644

* Tue Oct 31 2023 Sergio Lopez <slp@redhat.com> - 0.15.0-1
- Update to version 0.15.0

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jul 12 2023 Sergio Lopez <slp@redhat.com> - 0.14.0-1
- Update to version 0.14.0

* Thu Feb 09 2023 Sergio Lopez <slp@redhat.com> - 0.13.0-1
- Update to version 0.13.0
- Update to version 0.13.0

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jun 15 2022 Sergio Lopez <slp@redhat.com> - 0.11.0-1
- Initial import (fedora#2096874)
## END: Generated by rpmautospec
